Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#133 G400 locks 2.4.0test1-ac16

closed-out-of-date
Jeff Hartmann
MGA OpenGL (56)
5
2001-03-16
2000-06-13
Mathew Hennessy
No

X11 lockups when running GL apps, but the system stays up (I can SSH in to restart X). I'm running a G400MAX 32MB dual-head (dual-head is _not_ compiled into the kernel) at 1920x1200x16bit, on an Abit BP6 using MPS 1.1 and video-bios caching diabled. I've got kernel.* logging in syslog but no messages have gone to its file. /var/log/messages gets no logging info, and /var/log/XFree*.log gets overwritten each time gdm resets ;).

The XFree version is the CVS xc tree updated 13 Jun 2000.

uname -a: Linux marvin.razorfish.com 2.4.0-test1-ac16 #4 SMP Mon Jun 12 19:42:47 EDT 2000 i686 unknown

/proc/interrupts:
CPU0 CPU1
0: 105471 123885 IO-APIC-edge timer
1: 4058 4684 IO-APIC-edge keyboard
2: 0 0 XT-PIC cascade
5: 3 0 IO-APIC-edge soundblaster
10: 13150 13277 IO-APIC-level usb-uhci
11: 34495 34291 IO-APIC-level sym53c8xx
12: 0 0 IO-APIC-level mga@PCI:1:0:0
13: 1 0 XT-PIC fpu
14: 5042 4493 IO-APIC-edge ide0
15: 9583 9586 IO-APIC-level eth0
NMI: 229280 229280
LOC: 229256 229267
ERR: 2

/proc/dma:
1: SoundBlaster8
4: cascade

/proc/modules:
mga 110504 3
usb-uhci 22440 0 (unused)
mousedev 4732 1
hid 11768 0 (unused)
usbcore 26304 0 [usb-uhci hid]
input 3516 0 [mousedev hid]
3c59x 22812 1 (autoclean)
opl3 11464 0
sb 6384 0
sb_lib 35604 0 [sb]
uart401 6864 0 [sb_lib]
sound 63564 0 [opl3 sb sb_lib uart401]
soundcore 4612 5 [sb_lib sound]

HELP!

Discussion

  • Just an update: q3ademo in fullscreen seems to survive much longer than running GL apps in windows (like gears &; atlantis &; rubik &;).. Difference is like 15 minutes for q3ademo vs 1 min for multiple GL apps...

     
  • Another update: root user sessions in Q3A seem to last longer than normal user sessions, and running it with GTK seems stabler than with KDE. I'll have to try with fvwm..

     
  • Daryll Strauss
    Daryll Strauss
    2000-06-15

    • assigned_to: nobody --> jhartmann
     
  • OK, I updated my bios to the latest stable (BP6_RU) version and rebooted using MPS 1.4, and playing q3a as root in gtk I got almost 1/2 hour of _windowed_ performance (not fullscreen) over the LAN.

    Another interesting bit: the eth0 tx buffer went schizo after 15-20 minutes of a different session, but that's probably a 2.4.0test bug ;)

    Please mail if you want any other info.. BTW, I'm starting to see kernel logging for the drm/mga subsystems... Here's some of it (kernel.*):

    Jun 14 17:49:17 marvin kernel: [drm] Initialized mga 1.0.0 19991213 on minor 63
    Jun 14 17:56:30 marvin kernel: [drm:mga_dma_quiescent] *ERROR* irqs: 58013 wanted 0
    Jun 14 17:56:30 marvin kernel: [drm:mga_dma_quiescent] *ERROR* lockup
    Jun 14 17:56:33 marvin kernel: [drm:mga_dma_quiescent] *ERROR* irqs: 58013 wanted 0
    Jun 14 17:56:33 marvin kernel: [drm:mga_dma_quiescent] *ERROR* lockup
    Jun 14 17:56:38 marvin kernel: [drm:mga_dma_quiescent] *ERROR* irqs: 58013 wanted 0
    Jun 14 17:56:38 marvin kernel: [drm:mga_dma_quiescent] *ERROR* lockup

     
  • James Matthews
    James Matthews
    2000-08-20

    From general playing around and tweaking code:
    Most of the Mesa demos run happily. However, if a DRI window is ever completely concealed (whether minimised, shaded or covered by another window), it crashes when revealed. Similarly, a DRI client will crash whenever /another/ DRI window is completely concealed.
    Unreal Tournament becomes much more stable (not necessarily totally) if the SDLGL driver is modified not to draw lightmaps.
    This probably isn't much use, but may help to narrow down the problem (in the case of UT, it looks like a timing issue).

     
  • >Most of the Mesa demos run happily. However, if a >DRI window is ever completely concealed (whether >minimised, shaded or covered by another window), it >crashes when revealed.

    This bug is known for some time and fixed now in CVS.
    you can *try* to copy /xc/lib/GL/mesa/src/drv/mga/mgabuffers.c from CVS to your normal XFree tree (hope I have the dir right). And after recompiling the mga_dri.so in that directory, copy it to the standard location and
    it should work fine.

    Danny

     
  • Gareth Hughes
    Gareth Hughes
    2001-03-16

    • status: open --> closed-out-of-date
     
  • Gareth Hughes
    Gareth Hughes
    2001-03-16

    Logged In: YES
    user_id=4972

    This driver has been mostly rewritten.

     
  • Gareth Hughes
    Gareth Hughes
    2001-03-16

    Logged In: YES
    user_id=4972

    This driver has been mostly rewritten.